package com.nisum.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class AccountSettingsPage {

    WebDriver driver;

    public AccountSettingsPage(WebDriver driver){
        this.driver = driver;
        driver.manage().timeouts().pageLoadTimeout(5, TimeUnit.SECONDS);
    }

    public WebElement getLnkAccount() {
        return driver.findElement(By.xpath("//span[@class='button__item menu-nav__profile-button-sign-in-up d-none d-lg-inline-block']"));
    }

    public WebElement getAccountSettings(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/div/div[2]/div[1]/ul/li[4]/a"));
    }

    public WebElement getFirstName(){
        return driver.findElement(By.xpath("//*[@id=\"input-firstName\"]"));
    }

    public WebElement getLastName(){
        return driver.findElement(By.xpath("//*[@id=\"input-lastName\"]"));
    }

    public WebElement getEmail(){
        return driver.findElement(By.xpath("//*[@id=\"emailIdaccount\"]"));
    }

    public WebElement getPhone(){
        return driver.findElement(By.xpath("//*[@id=\"phoneNumber\"]"));
    }

    public WebElement getCCN(){
        return driver.findElement(By.xpath("//*[@id=\"uca-root\"]/main/div/div/div[2]/div/div[6]/div/p[2]"));
    }

    public void goToAccountSettings(){
        WebDriverWait wdw = new WebDriverWait(driver, 10);
        try{
            wdw.until(ExpectedConditions.elementToBeClickable(getLnkAccount()));
            getLnkAccount().click();
            getAccountSettings().click();
        }catch(org.openqa.selenium.StaleElementReferenceException ex){
            wdw.until(ExpectedConditions.elementToBeClickable(getLnkAccount()));
            getLnkAccount().click();
            getAccountSettings().click();
        }

    }

}
