package com.nisum.pages;

import org.openqa.selenium.*;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class LoginPage {
    WebDriver driver;
    
    public LoginPage(WebDriver driver, String url){
        this.driver = driver;
        driver.manage().timeouts().pageLoadTimeout(5, TimeUnit.SECONDS);
        driver.navigate().to(url);
    }
    
    public WebElement getLnkSignIn() {
        return driver.findElement(By.xpath("//span[@class='button__item menu-nav__profile-button-sign-in-up d-none d-lg-inline-block']"));
    }

    public WebElement getMenuItemSignIn(){
        return driver.findElement(By.id("sign-in-modal-link"));
    }

    public WebElement getInpUserName(){
        return driver.findElement(By.id("label-email"));
    }

    public WebElement getInpPassword(){
        return driver.findElement(By.id("label-password"));
    }

    public WebElement getBtnSubmit(){
        return driver.findElement(By.id("btnSignIn"));
    }

    public void login(String username, String password){
        getLnkSignIn().click();
        getMenuItemSignIn().click();
        WebDriverWait wdw = new WebDriverWait(driver, 10);
        wdw.until(ExpectedConditions.elementToBeClickable(getInpUserName()));
        getInpUserName().sendKeys(username);
        getInpPassword().sendKeys(password);
        getBtnSubmit().click();
    }
    
}
