package com.nisum.testCases;

import com.nisum.pages.AccountSettingsPage;
import com.nisum.pages.LoginPage;
import org.junit.jupiter.api.Test;
import org.junit.Assert;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.io.FileReader;
import java.util.Properties;
import java.util.concurrent.TimeUnit;

public class AccSetTestCase {

    public static void main(String[] args){
        String os = System.getProperty("os.name");
        System.out.println("Using System Property: " + os);
    }

    @Test
    public void checkAccountDetails() throws Exception{
        System.setProperty("webdriver.chrome.driver", "/opt/WebDriver/bin/chromedriver");
        WebDriver driver = new ChromeDriver();

        FileReader reader = new FileReader("datafile.properties");
        Properties p = new Properties();
        p.load(reader);

        LoginPage login = new LoginPage(driver, p.getProperty("URL"));
        login.login(p.getProperty("username"), p.getProperty("password"));

        AccountSettingsPage acc = new AccountSettingsPage(driver);
        acc.goToAccountSettings();

        WebDriverWait wdw = new WebDriverWait(driver, 10);
        wdw.until(ExpectedConditions.visibilityOfElementLocated(By.xpath("//*[@id=\"input-firstName\"]")));

        String firstName = acc.getFirstName().getAttribute("value");
        String lastName = acc.getLastName().getAttribute("value");
        String email = acc.getEmail().getAttribute("value");
        String phone = acc.getPhone().getAttribute("value");
        String ccn = acc.getCCN().getAttribute("innerHTML"); //getText()

        Assert.assertEquals(p.getProperty("firstName"), firstName);
        System.out.println("First Name: " + firstName);
        Assert.assertEquals(p.getProperty("lastName"), lastName);
        System.out.println("Last Name: " + lastName);
        Assert.assertEquals(p.getProperty("username"), email);
        System.out.println("Email: " + email);
        Assert.assertEquals(p.getProperty("phone"), phone);
        System.out.println("Phone: " + phone);
        Assert.assertEquals(p.getProperty("ccn"), ccn);
        System.out.println("CCN: " + ccn);

        driver.close();
    }
}
